petsc-3.4.2 2013-07-02

# SectionGetArray

Returns the array underlying the Section.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode SectionGetArray(DM dm, const char name[], PetscInt *numElements, PetscInt *fiberDim, PetscScalar *array[])

Not Collective

### Input Parameters

| mesh | - The DMMesh object
| name | - The section name

### Output Parameters

| numElements | - The number of mesh element with values
| fiberDim | - The number of values per element
| array | - The array

### Keywords

mesh, elements

### See Also

DMMeshCreate()

Level:intermediate
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages